# Submit onboarding data **⚠️ We no longer recommend implementing this endpoint. Please refer to the Client Links API instead to kick off the onboarding process for your merchants.** Submit data that will be prefilled in the merchant's onboarding. The data you submit will only be processed when the onboarding status is `needs-data`. Information that the merchant has entered in their dashboard will not be overwritten. > 🔑 Access with > > [Organization access token with **onboarding.write**](/reference/authentication) > > [OAuth access with **onboarding.write**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Mollie Connect", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/v2/onboarding/me": { "post": { "summary": "Submit onboarding data", "x-speakeasy-name-override": "submit", "tags": [ "Onboarding API" ], "operationId": "submit-onboarding-data", "security": [ { "organizationAccessToken": [ "onboarding.write" ] }, { "oAuth": [ "onboarding.write" ] } ], "description": "**⚠️ We no longer recommend implementing this endpoint. Please refer to the Client Links API instead to kick off the onboarding process for your merchants.**\n\nSubmit data that will be prefilled in the merchant's onboarding. The data you submit will only be processed when the onboarding status is `needs-data`. Information that the merchant has entered in their dashboard will not be overwritten.\n\n> 🔑 Access with\n>\n> [Organization access token with **onboarding.write**](/reference/authentication)\n>\n> [OAuth access with **onboarding.write**](/reference/authentication)", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "organization": { "type": "object", "properties": { "name": { "type": "string", "description": "The name of the organization.", "example": "Mollie B.V." }, "address": { "description": "The address of the organization.", "type": "object", "required": [ "streetAndNumber", "postalCode", "city", "country" ], "properties": { "streetAndNumber": { "type": "string", "description": "A street and street number.", "example": "Keizersgracht 126" }, "postalCode": { "type": "string", "description": "A postal code. This field may be required if the provided country has a postal code system.", "example": "1015 CW" }, "city": { "type": "string", "example": "Amsterdam" }, "country": { "type": "string", "description": "A country code in [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) format.", "example": "NL" } } }, "registrationNumber": { "type": "string", "description": "The registration number of the organization at their local chamber of commerce.", "example": "30204462" }, "vatNumber": { "type": [ "string", "null" ], "description": "The VAT number of the organization, if based in the European Union or in The United Kingdom. VAT numbers are verified against the international registry *VIES*.\n\nThe field can be omitted for merchants residing in other countries.", "example": "NL815839091B01" }, "vatRegulation": { "type": [ "string", "null" ], "description": "Mollie applies Dutch VAT for merchants based in The Netherlands, British VAT for merchants based in The United Kingdom, and shifted VAT for merchants in the European Union.\n\nThe field can be omitted for merchants residing in other countries.\n\nPossible values: `dutch` `british` `shifted`", "example": "dutch" } } }, "profile": { "type": "object", "properties": { "name": { "type": "string", "description": "The profile's name, this will usually reflect the trade name or brand name of the profile's website or application.", "example": "Mollie" }, "url": { "type": "string", "description": "The URL to the profile's website or application. Only `https` or `http` URLs are allowed. No `@` signs are allowed.", "example": "https://www.mollie.com" }, "email": { "type": "string", "description": "The email address associated with the profile's trade name or brand.", "example": "info@mollie.com" }, "phone": { "type": "string", "description": "The phone number associated with the profile's trade name or brand.", "example": "+31208202070" }, "description": { "type": [ "string", "null" ], "description": "The products or services offered by the profile's website or application.", "example": "Payment service provider" }, "businessCategory": { "type": "string", "description": "The industry associated with the profile's trade name or brand. Please refer to the [business category list](common-data-types) for all possible options.", "example": "MONEY_SERVICES" } } } } } } } }, "responses": { "204": { "description": "An empty response.", "content": { "application/hal+json": { "schema": {}, "example": {} } } } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X POST https://api.mollie.com/v2/onboarding/me \\\n -H \"Authorization: Bearer live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM\" \\\n -d \"organization[name]=Mollie B.V.\" \\\n -d \"organization[address][streetAndNumber]=Keizersgracht 126\" \\\n -d \"organization[address][postalCode]=1015 CW\" \\\n -d \"organization[address][city]=Amsterdam\" \\\n -d \"organization[address][country]=NL\" \\\n -d \"organization[registrationNumber]=30204462\" \\\n -d \"organization[vatNumber]=NL815839091B01\" \\\n -d \"profile[name]=Mollie\" \\\n -d \"profile[url]=https://www.mollie.com\" \\\n -d \"profile[email]=info@mollie.com\" \\\n -d \"profile[phone]=+31208202070\" \\\n -d \"profile[businessCategory]=MONEY_SERVICES\"" }, { "language": "php", "code": "setAccessToken(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\");\n\n$mollie->send(new DynamicPostRequest(\n url: \"onboarding/me\",\n payload: [\n \"organization\" => [\n \"name\" => \"Mollie B.V.\",\n \"address\" => [\n \"streetAndNumber\" => \"Keizersgracht 126\",\n \"postalCode\" => \"1015 CW\",\n \"city\" => \"Amsterdam\",\n \"country\" => \"NL\",\n ],\n \"registrationNumber\" => \"30204462\",\n \"vatNumber\" => \"NL815839091B01\",\n ],\n \"profile\" => [\n \"name\" => \"Mollie\",\n \"url\" => \"https://www.mollie.com\",\n \"email\" => \"info@mollie.com\",\n \"phone\" => \"+31208202070\",\n \"businessCategory\" => \"MONEY_SERVICES\",\n ],\n ]\n));", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "/*\nWe don't have a Node.js code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n*/", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_access_token(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\")\n\nmollie_client.onboarding.create({\n \"organization\": {\n \"name\": \"Mollie B.V.\",\n \"address\": {\n \"streetAndNumber\": \"Keizersgracht 126\",\n \"postalCode\": \"1015 CW\",\n \"city\": \"Amsterdam\",\n \"country\": \"NL\",\n },\n \"registrationNumber\": \"30204462\",\n \"vatNumber\": \"NL815839091B01\",\n },\n \"profile\": {\n \"name\": \"Mollie\",\n \"url\": \"https://www.mollie.com\",\n \"email\": \"info@mollie.com\",\n \"phone\": \"+31208202070\",\n \"categoryCode\": 6012,\n },\n})", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ'\nend\n\nMollie::Onboarding.submit(\n organization: {\n name: \"Mollie B.V.\",\n address: {\n streetAndNumber: \"Keizersgracht 126\",\n postalCode: \"1015 CW\",\n city: \"Amsterdam\",\n country: \"NL\"\n },\n registrationNumber: \"30204462\",\n vatNumber: \"NL815839091B01\"\n },\n profile: {\n name: \"Mollie\",\n url: \"https://www.mollie.com\",\n email: \"info@mollie.com\",\n phone: \"+31208202070\",\n businessCategory: \"MONEY_SERVICES\"\n }\n)", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```